org.gcube.dataanalysis.dataminer.poolmanager.service

## Class DMPMJob

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.service.DMPMJob

Direct Known Subclasses:
  ProductionPublishingJob, StagingJob

    public abstract class DMPMJob
    extends Object

### Field Summary

Fields
`protected String` `id`
`protected File` `jobLogs`
`protected SVNUpdater` `svnUpdater`

### Constructor Summary

Constructors
Constructor and Description
`DMPMJob(SVNUpdater svnUpdater)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected AnsibleWorker` `createWorker(Algorithm algo, Cluster dataminerCluster, boolean includeAlgorithmDependencies, String user)`
`protected abstract void` `execute()`
`protected int` `executeAnsibleWorker(AnsibleWorker worker)`
`String` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### svnUpdater

    protected SVNUpdater svnUpdater

#### jobLogs

    protected File jobLogs

#### id

    protected String id

### Constructor Detail

#### DMPMJob

    public DMPMJob(SVNUpdater svnUpdater)

### Method Detail

#### start

    public String start()

#### createWorker

    protected AnsibleWorker createWorker(Algorithm algo,
                                         Cluster dataminerCluster,
                                         boolean includeAlgorithmDependencies,
                                         String user)

#### execute

    protected abstract void execute()

#### executeAnsibleWorker

    protected int executeAnsibleWorker(AnsibleWorker worker)
                                throws IOException,
                                       InterruptedException,
                                       org.tmatesoft.svn.core.SVNException

Throws:
  `IOException`
  `InterruptedException`
  `org.tmatesoft.svn.core.SVNException`